Bug 816146 - [eap6] managed deployments remain as DOWN on managed servers when undeployed from server group
[eap6] managed deployments remain as DOWN on managed servers when undeployed ...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 06:50 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-25 06:50:42 EDT
Description of problem:managed deployments remain as DOWN on managed servers when undeployed from server group.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 5ffafd2
EAP6 ER5

How reproducible:always


Steps to Reproduce:
1.have EAP6 running in domain mode
2.
a)create Deployment child for main-server-group resource (Bug 815965 might block you)
b) or create DomainDeployment, deploy it to main-server-group
3.run autodiscovery - your deployment appears as main-server-group child as well as on managed servers (server-one,server-two)
4. delete deployment resource child from main-server-group's inventory
  
Actual results: deployment resources on managed servers remain and appear offline (since they were removed by DC on managed servers)


Expected results: When deployment is removed from server-group managed deployments (on related managed servers) should be removed too
Comment 1 Heiko W. Rupp 2012-04-25 07:48:47 EDT
There is nothing really that we can do here, as the plugin has no way to signal that a different resource should be removed from inventory.

While this shows especially in the as7 case, this will also e.g. be the case if you have a cluster of as4/5 where you deploy an archive via farm service to one server. This will show up in inventory on all servers of the cluster. Now remove it on the first server and see it go red on all other servers (iirc removal also kind of works in farm service).
Comment 2 Mike Foley 2012-04-30 12:02:14 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley

Note You need to log in before you can comment on or make changes to this bug.